import { Column, Entity, ManyToOne, PrimaryGeneratedColumn } from 'typeorm';
import { Build } from './Build.entity';

export enum ArchiveType {
  Full = 'full',
  Update = 'update',
  Part = 'part'
}

@Entity()
export class Archive {
  @PrimaryGeneratedColumn()
  id: number;

  @Column('varchar', { length: 256, array: true })
  files: string[];

  @Column('varchar', { length: 64 })
  path: string;

  @Column({ type: 'bytea', length: 64 })
  checksum: Buffer;

  @ManyToOne(type => Build, build => build.archives)
  build: Build;

  @Column({ type: 'enum', enum: ArchiveType })
  role: ArchiveType;
}
